> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Migration Source



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/storage-data.yml delete /storage/migration_sources/{id}
openapi: 3.1.0
info:
  title: Telnyx Storage & Data API
  version: 2.0.0
  description: API for Storage & Data.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /storage/migration_sources/{id}:
    delete:
      tags:
        - Data Migration
      summary: Delete a Migration Source
      operationId: DeleteMigrationSource
      parameters:
        - name: id
          in: path
          description: Unique identifier for the data migration source.
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: Create Migration Source Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MigrationSourceParams'
          headers: {}
        '401':
          description: Unauthorized
        '404':
          description: Migration source not found
        '422':
          description: Unprocessable Entity
      deprecated: false
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const migrationSource = await
            client.storage.migrationSources.delete('');


            console.log(migrationSource.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            migration_source = client.storage.migration_sources.delete(
                "",
            )
            print(migration_source.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tmigrationSource, err := client.Storage.MigrationSources.Delete(context.TODO(), \"\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", migrationSource.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.storage.migrationsources.MigrationSourceDeleteParams;

            import
            com.telnyx.sdk.models.storage.migrationsources.MigrationSourceDeleteResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MigrationSourceDeleteResponse migrationSource = client.storage().migrationSources().delete("");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            migration_source = telnyx.storage.migration_sources.delete("")

            puts(migration_source)
        - lang: CLI
          source: |-
            telnyx storage:migration-sources delete \
              --api-key 'My API Key' \
              --id ''
components:
  schemas:
    MigrationSourceParams:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the data migration source.
          readOnly: true
        provider:
          type: string
          enum:
            - aws
            - telnyx
          description: >-
            Cloud provider from which to migrate data. Use 'telnyx' if you want
            to migrate data from one Telnyx bucket to another.
        source_region:
          type: string
          description: >-
            For intra-Telnyx buckets migration, specify the source bucket region
            in this field.
        provider_auth:
          type: object
          properties:
            access_key:
              type: string
              description: >-
                AWS Access Key. For Telnyx-to-Telnyx migrations, use your Telnyx
                API key here.
            secret_access_key:
              type: string
              description: >-
                AWS Secret Access Key. For Telnyx-to-Telnyx migrations, use your
                Telnyx API key here as well.
        bucket_name:
          type: string
          description: Bucket name to migrate the data from.
      required:
        - provider
        - provider_auth
        - bucket_name
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````